#pragma once

#include <util/datetime/base.h>

namespace NFusion {

    struct TIndexingClientOptions {
        TDuration Timeout = TDuration::Seconds(10);
        TDuration InterAttemptTimeout = TDuration::Seconds(1);
        ui32 Attempts = Max<ui32>();
        ui32 Threads = 10;
        ui32 AverageRate = 250;
        ui32 BurstRate = 250 * 20;
    };
}
